
protocol BlockLineProcessor: BlockProcessor {

    func process(_ lines: [String], markdown: Substring) -> String
}

extension BlockLineProcessor {

    func process(_ markdown: Substring) -> String {
        let lines = markdown
            .components(separatedBy: "\n")
            .dropFirst().dropLast()
        return process(Array(lines), markdown: markdown)
    }
}
